const express = require('express');
const router = express.Router();
const patientReportEmailController = require('../controllers/patientReportEmailController');
const authMiddleware = require('../middleware/authMiddleware');

// Send patient report email
router.post('/', authMiddleware, patientReportEmailController.sendEmail);

// Get patient report emails by patient report ID
router.get('/patient-report/:patient_report_id', authMiddleware, patientReportEmailController.getEmailsByReportId);

// Delete patient report email
router.delete('/:id', authMiddleware, patientReportEmailController.deleteEmail);

module.exports = router;
